#ifndef __MARVELMIND_EXAMPLE_H_
#define __MARVELMIND_EXAMPLE_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stdint.h>
#include "marvelmind_boxie_api.h"

bool isRobotProgramEnterMode();

bool marvelmindCheckVersionCommand(char *token);

bool marvelmindCheckRobotCommand(char *token1, char *token2, char *token3, char *token4);
bool marvelmindCheckBoxieCommand(char *token1, char *token2, char *token3, char *token4);
bool marvelmindCheckRobotProgramItem(char *token1, char *token2, char *token3, char *token4);

void marvelmindCycle();
void marvelmindStart();
void marvelmindFinish();

#endif // __MARVELMIND_EXAMPLE_H_
